/*--- modal popup ---*/
.modal {
    position: fixed;
    top: 0;
    left: 50%;
    transform: translate(-50%);
    width: 100%;
    max-width: 500px;
    height: 100vh;
    padding: 0;
    margin: 0 0 0 0;
    background-color: transparent !important;
    z-index: 72999;
    opacity: 1;
}

@media only screen and (min-width: 769px) {
    .modal {
        max-width: 500px;
    }
}

.modal.wide {

}

.modal.move-to-top {
    top: 100%;
}

.modal.move-to-bottom {
    top: -100%;
}

.modal.move-to-right {
/*
    left: -100%;
*/
}

.modal.move-to-left {
/*
    right: 100%;
*/
}

.modal-header {
    position: relative;
    width: 100%;
    opacity: 0;
    display: flex;
    align-items: center;
    background-color: #fff;
    padding: 0 0 0 0;
    margin:10px 0 0 0;
    color: #fff;
    height: 40px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.modal-header.grigio {
    background-color: #f4f4f4;

}

.modal-header .title {
    position: relative;
    width: calc(100% - 100px);
    font-size:12px;
    font-weight: 400;
    margin: 0 0 0 25px;
    padding: 0;
    z-index: 73999;
    background-color: #f7f7f7;
    border-radius: 50px;
    color: #333;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.modal-header .title strong {
    display: block;     /* fondamentale per text-overflow */
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;    
}

.modal-header.grigio .title {
    background-color: #fff;
}

.modal-header a.share {
    position: relative;
    margin: 0;
    padding: 0;
    z-index: 73999;
    color: #fff;
    display: block;
    min-width: 25px;
    top: 0px;
    left: 10px;
}

.modal-header a.close {
    position: relative;
    margin: 0;
    padding: 0;
    z-index: 73999;
    color: #fff;
    display: block;
    min-width: 25px;
    top: 0px;
    right: -15px;
}

.modal-content {
    position: relative;
    top: -1px;
    width: 100%;
    height: 100%;
    background-color: rgba(255,255,255,1);
    border-top-left-radius: 0
    border-top-right-radius: 0
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
    padding: 20px 20px 60px 20px;
    margin: 0;
    overflow-y: auto;
    overflow-x: hidden;
}

.modal-content.iframe,
.modal-content.calendar {
    padding: 10px 10px 60px 10px;
    margin: 0 0 0 0;
}

.modal-content.no-padding {
    padding: 0 !important;
    margin: 0 0 0 0;
}

.modal-content.grigio {
    background-color: #f4f4f4;
}

.modal-content p {

}

.modal-content p.scheda-azienda {
    margin:15px 0 0 0;
    text-align: center;
}

.modal-content p span {
    font-style: italic;
    color: #888;
}

.modal-content h4.alert {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 200px;
    margin:0 0 0 0;
    padding: 0 20px 0 20px;
    color:#ff0000;
    text-align: center;
}

.modal-content.widget {
    padding: 10px 10px 80px 10px;
}

/*--- modal popup END ---*/
